Returns Cost Avoidance Savings Program-to-date. The user can set the topmost place and/or commodity filters.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| specificWidgetId | Specific widget identifier to get the data for | integer (int32) | Required |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| filter | string (string) | Optional |
Filters
| Filter | Description | Type | Operators |
|---|---|---|---|
| accountId | Integer | equals | |
| budgetVersionId | Integer | equals | |
| Channel | Channel | String | equals |
| chartType | Chart Type | String | equals |
| commodityCategoryID | Integer | equals | |
| commodityId | Integer | equals | |
| cumulative | Display as Cumulative | Boolean | equals |
| DataPointID | Integer | equals | |
| emissionSourceId | Integer | equals | |
| EsaChannelID | Integer | equals | |
| esaIntervalWidgetGroupBy | Group By | String | equals |
| includeAccountCharges | Include Account Charges | Boolean | equals |
| includeAccruals | Include Accruals | Boolean | equals |
| meterGroupInfo | Meter Group Display | String | equals |
| meterId | Integer | equals | |
| numberOfYears | Integer | equals | |
| placeGroupId | Integer | equals | |
| placeGroupName | Place Group Name | String | equals |
| rateId | Integer | equals | |
| readingDate | Reading Date | DateTime | equals between today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days |
| Schedule | Schedule | String | equals |
| topmostCollectionId | Integer | equals | |
| topmostCostCenterId | Integer | equals | |
| topmostPlaceCode | Topmost Place Code | String | equals |
| topmostPlaceId | Integer | equals | |
| topmostPlaceName | Topmost Place Name | String | equals |
| vendorId | Integer | equals |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
WidgetSavingsYearlyResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| allTimeBATCCTotalCost | Program to Date BATCC (Baseline Adjusted to Current Conditions) Total Cost | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| allTimeBATCCUse | Program to Date BATCC (Baseline Adjusted to Current Conditions) Use | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| allTimeSavingsTotalCost | Program to Date Savings Total Cost = allTimeBATCCTotalCost - allTimeTotalCost | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| allTimeSavingsUse | Program to Date Savings Use = allTimeBATCCUse - allTimeUse | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| allTimeTotalCost | Program to Date Savings Total Cost | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| allTimeUse | Program to Date Use | number (double) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| billingPeriodRange | PeriodRange | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PeriodRange properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| commodities | An array of savings yearly data per commodity | WidgetSavingsYearlyResponse+CommodityData[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
WidgetSavingsYearlyResponse+CommodityData properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| costUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| fiscalPeriodRange | PeriodRange | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PeriodRange properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| results | An array of savings yearly data | WidgetSavingsYearlyResponse+Results[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
WidgetSavingsYearlyResponse+Results properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| updated | The date and time the data was updated | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| useUnit | UnitChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UnitChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "allTimeBATCCTotalCost": 1.0, "allTimeBATCCUse": 1.0, "allTimeSavingsTotalCost": 1.0, "allTimeSavingsUse": 1.0, "allTimeTotalCost": 1.0, "allTimeUse": 1.0, "billingPeriodRange": { "endPeriod": 1, "startPeriod": 1
}, "commodities": [
{ "allTimeBATCCTotalCost": 1.0, "allTimeBATCCUse": 1.0, "allTimeSavingsTotalCost": 1.0, "allTimeSavingsUse": 1.0, "allTimeTotalCost": 1.0, "allTimeUse": 1.0, "commodity": { "commodityCategory": {}, "commodityCode": "string", "commodityIcon": {}, "commodityId": 1, "commodityInfo": "string"
}, "results": [
{ "batccTotalCost": 1.0, "batccUse": 1.0, "savingsTotalCost": 1.0, "savingsUse": 1.0, "totalCost": 1.0, "use": 1.0, "year": "string"
}
]
}
], "costUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}, "fiscalPeriodRange": { "endPeriod": 1, "startPeriod": 1
}, "results": [
{ "batccTotalCost": 1.0, "batccUse": 1.0, "savingsTotalCost": 1.0, "savingsUse": 1.0, "totalCost": 1.0, "use": 1.0, "year": "string"
}
], "updated": "2026-03-30", "useUnit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}
}